// Copyright (C) 2017 Ben Asselstine
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
#ifndef XGES_CREATE_CLIP_PRIV_H
#define XGES_CREATE_CLIP_PRIV_H 1
#include "clip.h"
struct clip_details_t
{
  char *source_filename;
  double start;
  double duration;
  double position;
  double relative_position;
  double volume;
  int layer_number;
  int greenscreen;
  double greenscreen_threshold;
  double greenscreen_distance;
  double transition_overlap;
  char *transition_name;
  long int posx;
  long int posy;
  int width;
  int height;
  int crop;
  int crop_width;
  int crop_height;
  int crop_x;
  int crop_y;
  double fade_in;
  double fade_out;
  int no_volume_fade;
  int ignore_audio;

  unsigned long long cached_duration;
  int cached_media_type;
  char *cached_uri;
  int cached_is_image;
  unsigned long long cached_in;
  unsigned long long cached_out;
  unsigned long long cached_at;
  int cached_height;
  int cached_width;
  int zoom;
  unsigned int zoom_x;
  unsigned int zoom_y;
  double zoom_percent;
  double splice_in_at;
  double splice_over_at;
};

#define CLIP_OPTION -100
enum clip_options_enum_t
{
  CLIP_CROP = CLIP_OPTION,
  CLIP_FADE_IN,
  CLIP_FADE_OUT,
  CLIP_NO_VOLUME_FADE,
  CLIP_IGNORE_AUDIO_TRACK,
  CLIP_SPLICE_IN_AT,
  CLIP_SPLICE_OVER_AT,
  CLIP_GREENSCREEN_THRESHOLD,
  CLIP_GREENSCREEN_DISTANCE,
  CLIP_SCALE_HEIGHT = 'H',
  CLIP_TRANSITION_OVERLAP = 'O',
  CLIP_RELATIVE_POSITION = 'P',
  CLIP_TRANSITION_NAME = 'T',
  CLIP_SCALE_WIDTH = 'W',
  CLIP_SOURCE = 'f',
  CLIP_GREENSCREEN = 'g',
  CLIP_POSITION = 'p',
  CLIP_START = 's',
  CLIP_DURATION = 't',
  CLIP_VOLUME = 'v',
  CLIP_X = 'x',
  CLIP_Y = 'y',
  CLIP_ZOOM = 'z',
};
#endif
