// Copyright (C) 2017 Ben Asselstine
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#define _GNU_SOURCE
#include <stdio.h>
#include <argp.h>
#include <stdlib.h>
#include "xges-create.h"
#include <gst/gst.h>


const char *argp_program_version = PACKAGE_NAME " " PACKAGE_VERSION;
const char *argp_program_bug_address = "<" PACKAGE_BUGREPORT ">";

int
main (int argc, char **argv)
{
  setenv ("ARGP_HELP_FMT", "no-dup-args-note", 1);
  xges_create_t xges_create;
  init_xges_create (&xges_create);
  argp_parse (&xges_create_argp, argc, argv, ARGP_IN_ORDER | ARGP_NO_ARGS, 0, xges_create);
  gst_init (&argc, &argv);
  int retval = xges_create_generate (xges_create);
  destroy_xges_create (xges_create);
  return retval;
}
