// Copyright (C) 2017 Ben Asselstine
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
#ifndef XGES_CREATE_PRIV_H
#define XGES_CREATE_PRIV_H 1
#include "xges-create.h"
#include "clip.h"
#include "layer.h"
#include "promote.h"

struct xges_create_details_t
{
  char *render_uri;
  char *output_filename;
  int mode;
  int num_clips;
  clip_t *clips;
  int num_layers;
  layer_t *layers;
  unsigned long int width;
  unsigned long int height;
  unsigned int framerate_numerator;
  unsigned int framerate_denominator;
  double zoom;
  int display;
  int display_width;
  int list_transitions;
  promote_t *promotions;
  int num_promotions;
  int dump_clips;
  int preview;
  char *commandline;
};

enum xges_create_options_enum_t
{
  XGESC_RENDER = -100,
  XGESC_ZOOM,
  XGESC_DISPLAY,
  XGESC_DISPLAY_WIDTH,
  XGESC_LIST_TRANSITIONS,
  XGESC_OUTFILE,
  XGESC_PREVIEW,
  XGESC_DUMP_CLIPS,
  XGESC_WIDTH = 'w',
  XGESC_HEIGHT = 'h',
  XGESC_FRAMERATE = 'r',
};
#endif
